var _excluded = ["label", "description", "errorText", "error", "tooltip", "tooltipConfig", "clearTooltip", "prefixel", "suffixel", "style", "listHeight", "className", "getPopupContainer", "grey", "dropdownClassName", "asFormElement"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
function _inheritsLoose(t, o) { t.prototype = Object.create(o.prototype), t.prototype.constructor = t, _setPrototypeOf(t, o); }
function _setPrototypeOf(t, e) { return _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function (t, e) { return t.__proto__ = e, t; }, _setPrototypeOf(t, e); }
import classNames from 'classnames';
import React, { Component } from 'react';
import '@synerise/ds-core/dist/js/style';
import FormField from '@synerise/ds-form-field';
import Icon, { Close3M, CloseS } from '@synerise/ds-icon';
import Tooltip from '@synerise/ds-tooltip';
import { getPopupContainer as defaultGetPopupContainer } from '@synerise/ds-utils';
import * as S from './Select.styles';
import "./style/index.css";
var Select = /*#__PURE__*/function (_Component) {
  function Select() {
    return _Component.apply(this, arguments) || this;
  }
  _inheritsLoose(Select, _Component);
  var _proto = Select.prototype;
  _proto.render = function render() {
    var _classNames;
    var _this$props = this.props,
      label = _this$props.label,
      description = _this$props.description,
      errorText = _this$props.errorText,
      error = _this$props.error,
      tooltip = _this$props.tooltip,
      tooltipConfig = _this$props.tooltipConfig,
      clearTooltip = _this$props.clearTooltip,
      prefixel = _this$props.prefixel,
      suffixel = _this$props.suffixel,
      style = _this$props.style,
      listHeight = _this$props.listHeight,
      className = _this$props.className,
      _this$props$getPopupC = _this$props.getPopupContainer,
      getPopupContainer = _this$props$getPopupC === void 0 ? defaultGetPopupContainer : _this$props$getPopupC,
      grey = _this$props.grey,
      dropdownClassName = _this$props.dropdownClassName,
      asFormElement = _this$props.asFormElement,
      antdProps = _objectWithoutPropertiesLoose(_this$props, _excluded);
    var size = antdProps.size;
    var hasBottomMargin = asFormElement || Boolean(errorText || description);
    return /*#__PURE__*/React.createElement(S.SelectContainer, {
      className: "ds-select-container",
      hasBottomMargin: hasBottomMargin
    }, /*#__PURE__*/React.createElement(FormField, {
      errorText: errorText,
      description: description,
      label: label,
      tooltip: tooltip,
      tooltipConfig: tooltipConfig
    }, /*#__PURE__*/React.createElement(S.SelectWrapper, {
      grey: grey,
      error: Boolean(errorText),
      className: classNames('ds-select-wrapper', {
        error: errorText || error
      }, (_classNames = {}, _classNames[className] = !!className, _classNames)),
      style: style
    }, !!prefixel && /*#__PURE__*/React.createElement(S.PrefixWrapper, null, prefixel), /*#__PURE__*/React.createElement(S.AntdSelect, _extends({
      dropdownAlign: {
        offset: [0, 8]
      } // STOR-588
    }, antdProps, {
      getPopupContainer: getPopupContainer,
      listHeight: listHeight,
      size: size,
      withPrefixel: !!prefixel,
      withSuffixel: !!suffixel,
      clearIcon: /*#__PURE__*/React.createElement(Tooltip, {
        title: clearTooltip
      }, /*#__PURE__*/React.createElement("span", null, /*#__PURE__*/React.createElement(Icon, {
        component: /*#__PURE__*/React.createElement(Close3M, null),
        size: size === 'small' ? 18 : 24
      }))),
      removeIcon: /*#__PURE__*/React.createElement(Icon, {
        component: /*#__PURE__*/React.createElement(CloseS, null)
      }),
      className: classNames({
        error: errorText || error
      }),
      dropdownClassName: classNames('ps__child--consume', dropdownClassName)
    })), !!suffixel && /*#__PURE__*/React.createElement(S.SuffixWrapper, null, suffixel))));
  };
  return Select;
}(Component);
Select.Option = S.AntdSelectOption;
Select.OptGroup = S.AntdSelectOptGroup;
export default Select;