import Select from 'antd/lib/select';
import styled, { css } from 'styled-components';
var OptGroup = Select.OptGroup,
  Option = Select.Option;
var errorStyle = function errorStyle(props) {
  return "\n  border-color: " + props.theme.palette['red-600'] + ";\n  box-shadow: inset 0 0 0 1px " + props.theme.palette['red-600'] + ";\n  background: " + props.theme.palette['red-050'] + ";\n";
};
var searchIconWithCustomColor = function searchIconWithCustomColor(color) {
  var colorValueForSvg = color.replace(/#/, '%23');
  var iconWithColor = "data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='-6 -6 36 36' >/><path fill='none' d='M0 0h24v24H0z' /><path style='fill: " + colorValueForSvg + ";' d='M10.734 17.234a6.463 6.463 0 004.03-1.41l3.721 3.722a.75.75 0 001.06-1.06l-3.72-3.722a6.494 6.494 0 10-5.09 2.47zm0-11.5a5 5 0 11-5 5 5.006 5.006 0 015-5z'/></svg>";
  return iconWithColor;
};
var withPrefixStyles = function withPrefixStyles() {
  return "\n  border-top-left-radius:0;\n  border-bottom-left-radius:0;\n";
};
var withSuffixStyles = function withSuffixStyles() {
  return "\n  border-top-right-radius:0;\n  border-bottom-right-radius:0;\n";
};
var addonStyles = function addonStyles(props) {
  return "\n  display: flex;\n  align-items: center;\n  background: " + props.theme.palette['grey-050'] + ";\n  box-shadow: inset 0 0 0 1px " + props.theme.palette['grey-300'] + ";\n  color: " + props.theme.palette['grey-500'] + ";\n  font-size:13px;\n  line-height: 1.39;\n ";
};
export var SelectContainer = styled.div.withConfig({
  displayName: "Selectstyles__SelectContainer",
  componentId: "sc-n9lk0v-0"
})(["display:flex;flex-direction:column;align-items:stretch;justify-content:flex-start;margin:0 0 ", "px;"], function (props) {
  return props.hasBottomMargin ? 16 : 0;
});
export var AntdSelect = styled(Select).withConfig({
  displayName: "Selectstyles__AntdSelect",
  componentId: "sc-n9lk0v-1"
})(["", " &.ant-select-multiple{.ant-select-arrow{top:16px;}}&&{.ant-select-selector{", "}}&&&{width:100%;.ant-select-clear{height:18px;background-position:center;background-repeat:no-repeat;background-size:contain;top:50%;right:8px;transform-origin:50% 25%;display:flex;transform:translateY(-50%);align-items:center;justify-content:center;margin-top:0;}.ant-select-selector{", " ", "}span[aria-label='search']{svg{display:none;}width:24px;height:24px;background-color:rgba(0,0,0,0);background-image:", ";}}&.error{.ant-select-selector.ant-select-selector{", "}.ant-select-clear{background-color:", ";}}"], function (props) {
  return props.size === 'large' && "\n\n    &.ant-select-single .ant-select-selector, \n    &.ant-select-single .ant-select-selection-search-input {\n      height:48px;\n    }\n\n    &.ant-select-single .ant-select-selection-item, \n    &.ant-select-single .ant-select-selection-placeholder {\n      line-height:46px;\n    }\n    \n    &.ant-select-multiple.ant-select-lg {\n      .ant-select-arrow {\n        top: 23px\n      }\n      .ant-select-selector {\n        padding: 8px;\n      }\n\n      .ant-select-selector::after,\n      .ant-select-selection-item,\n      .ant-select-selection-search,\n      .ant-select-selection-search-input {\n        height: 24px; \n        line-height: 22px;\n      }\n    }\n\n  ";
}, function (props) {
  return !!props.selectorStyle && css(props.selectorStyle);
}, function (props) {
  return !!props.withPrefixel && withPrefixStyles();
}, function (props) {
  return !!props.withSuffixel && withSuffixStyles();
}, function (props) {
  return "url(\"" + searchIconWithCustomColor(props.theme.palette['grey-400']) + "\")";
}, function (props) {
  return errorStyle(props);
}, function (props) {
  return props.theme.palette['red-050'];
});
export var AntdSelectOption = styled(Option).withConfig({
  displayName: "Selectstyles__AntdSelectOption",
  componentId: "sc-n9lk0v-2"
})([""]);
export var AntdSelectOptGroup = styled(OptGroup).withConfig({
  displayName: "Selectstyles__AntdSelectOptGroup",
  componentId: "sc-n9lk0v-3"
})([""]);
export var PrefixWrapper = styled.div.withConfig({
  displayName: "Selectstyles__PrefixWrapper",
  componentId: "sc-n9lk0v-4"
})(["border-radius:3px 0 0 3px;margin-right:-2px;padding-right:1px;", ";"], function (props) {
  return addonStyles(props);
});
export var SuffixWrapper = styled.div.withConfig({
  displayName: "Selectstyles__SuffixWrapper",
  componentId: "sc-n9lk0v-5"
})(["border-radius:0 3px 3px 0;margin-left:-1px;", ";"], function (props) {
  return addonStyles(props);
});
export var SelectWrapper = styled.div.withConfig({
  displayName: "Selectstyles__SelectWrapper",
  componentId: "sc-n9lk0v-6"
})(["display:flex;", ""], function (props) {
  return props.grey && !props.error && css(["&&{.ant-select-selector{background-color:", ";}}"], props.theme.palette['grey-050']);
});